import messages from './locale/index.js'

let i18nConfig = {
	locale: uni.getStorageSync('locate') || uni.getLocale(),
	messages
}

// #ifndef VUE3
import Vue from 'vue'
import VueI18n from 'vue-i18n'

Vue.use(VueI18n)
const i18n = new VueI18n(i18nConfig)


import App from './App'

let mixinLogin = require('@/utils/mixin-login.js');
Vue.mixin(mixinLogin);

// import store from './store'   //引入vuex
// Vue.prototype.$store = store

Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
	i18n,
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
import App from './App.vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif